<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <include layout="@layout/navigationbar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:layout_below="@+id/navigation_bar">

        <LinearLayout
            android:orientation="vertical"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:orientation="vertical"
                android:background="@drawable/listitem_bg"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/printer"
                    android:background="@drawable/select_setting_border"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="@string/printer" />

                    <TextView
                        android:textSize="16sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/printer_name"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_lbl_title_scan"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/imageViewPrinterLocation"
                        android:visibility="gone"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/print_local" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/serial_separator"
                    android:background="@color/light"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/serial"
                    android:background="@drawable/select_setting_border"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:text="@string/epsonconnect_str_serial_no" />

                    <TextView
                        android:textSize="16sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/serial_no"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:singleLine="true"
                        android:layout_weight="1" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/group_text_color"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/str_print_status" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:id="@+id/status"
                    android:background="@drawable/listitem_bg"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="top"
                        android:layout_gravity="left"
                        android:id="@+id/printer_status"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:minHeight="25dp" />

                    <View
                        android:background="@color/light"
                        android:layout_width="match_parent"
                        android:layout_height="1dp" />

                    <TextView
                        android:textSize="16sp"
                        android:textColor="@android:color/darker_gray"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:id="@+id/printer_status_detail"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:minHeight="25dp"
                        android:drawablePadding="10dp" />
                </LinearLayout>

                <LinearLayout
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true">

                    <ProgressBar
                        android:id="@+id/progress_status"
                        android:visibility="gone"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content" />
                </LinearLayout>
            </RelativeLayout>

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/group_text_color"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:id="@+id/ink_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/str_remain_ink" />

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:id="@+id/ink_view_ln"
                android:background="@drawable/listitem_bg"
                android:paddingLeft="10dp"
                android:paddingTop="5dp"
                android:paddingRight="10dp"
                android:paddingBottom="12dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/group_text_color"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:id="@+id/maintenance_box_text"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/maintenance_box_info" />

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:id="@+id/maintenance_box_info_layout"
                android:background="@drawable/listitem_bg"
                android:paddingLeft="10dp"
                android:paddingTop="5dp"
                android:paddingRight="10dp"
                android:paddingBottom="12dp"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp" />

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:id="@+id/mentenance_buy_ink_frame"
                android:background="@drawable/listitem_bg"
                android:padding="10dp"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/mentenance_buy_ink"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_buy_ink"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:text="@string/support_buy_ink"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/buy_ink_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/buy_ink_separator"
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/maintenance_inkds"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_inkds"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:text="@string/ready_ink_button_name"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/inkds_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/group_text_color"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:id="@+id/bt_PowerText"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/bi_title" />

            <ListView
                android:id="@+id/battery_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="4dp" />

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/group_text_color"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:id="@+id/text_maintenance"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/str_maintenance" />

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:id="@+id/clean_check"
                android:background="@drawable/listitem_bg"
                android:padding="10dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/head_clean_view"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/head_clean_text"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:text="@string/str_head_clean"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/head_clean_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/nozzle_check_view"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/nozzle_check_text"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:text="@string/str_nozzle_check"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/fwupdate_view"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/fwupdate_text"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/fw_buttonname"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/fwupdate_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/group_text_color"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/str_settings" />

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:id="@+id/setting_view_ln"
                android:background="@drawable/listitem_bg"
                android:padding="10dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/print_preview"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_print_preview"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/epsonconnect_str_epsonconnect_usepreview"
                        android:layout_weight="1" />

                    <epson.print.widgets.SwichClickable
                        android:id="@+id/togglePreview"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:checked="true"
                        android:scaleType="fitXY"
                        android:textOn="@string/EPS_CONNECT_CORRECT"
                        android:textOff="@string/EPS_CONNECT_NOTHING" />
                </LinearLayout>

                <View
                    android:id="@+id/comm_messeage_separator"
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/alert_messeage"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_alert_messeage"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/epsonconnect_str_epsonconnect_alertmessage"
                        android:layout_weight="1" />

                    <epson.print.widgets.SwichClickable
                        android:id="@+id/toggleAlert"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:checked="true"
                        android:scaleType="fitXY"
                        android:textOn="@string/EPS_CONNECT_CORRECT"
                        android:textOff="@string/EPS_CONNECT_NOTHING" />
                </LinearLayout>

                <View
                    android:id="@+id/printer_setting_separator"
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/printer_setting"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_printer_setting"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/maintenance_advanced_settings"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/printer_setting_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/epsonconnect_separator"
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/epsonconnect_option"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:clickable="false"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@color/light_gray"
                        android:gravity="center_vertical"
                        android:id="@+id/text_epson_connect"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/ec_registration"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/epsonconnect_arrow"
                        android:visibility="gone"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/online_registration_separator"
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/online_registration"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_online_registration"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/str_online_registration"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/online_registration_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/print_history_separator"
                    android:background="@color/light"
                    android:paddingTop="10dp"
                    android:paddingBottom="10dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/print_history"
                    android:background="@drawable/select_setting_border"
                    android:paddingLeft="3dp"
                    android:paddingTop="3dp"
                    android:paddingBottom="3dp"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="45dp">

                    <TextView
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:id="@+id/text_print_history"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/epsonconnect_str_print_history"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/print_history_arrow"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
